OSVDB ID: 84442

Title: LibreOffice Boundary Error XML Tag Duplication ODF File Handling Overflow

Info

Disclosure

Aug 01, 2012

Discovery

Unknown

Dates

Exploit

Unknown

Solution

Aug 01, 2012

Description

LibreOffice is prone to an overflow condition. This issue is triggered when a boundary error occurs during the duplication of a certain tag in an XML manifest file, which will result in a heap-based buffer overflow. With a specially crafted ODF file, a context-dependent attacker can potentially execute arbitrary code.

Classification

Location: Context Dependent
Attack Type: Input Manipulation
Impact: Loss of Integrity
Solution: Upgrade
Exploit: Exploit Private
Disclosure: Vendor Verified, Coordinated Disclosure

Solution

Upgrade to version 3.5.5 or 3.6.0 or higher, as they have been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Products

The Document Foundation

LibreOffice

3.5.4

References

Credit

Unknown or Incomplete



Direct URL: http://osvdb.org/84442